org.apache.fop.fonts.substitute

## Class FontSubstitutions

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<FontSubstitution>
      - - org.apache.fop.fonts.substitute.FontSubstitutions

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<FontSubstitution>, Collection<FontSubstitution>, List<FontSubstitution>, RandomAccess

    public class FontSubstitutions
    extends ArrayList<FontSubstitution>

Font substitutions

See Also:
  Serialized Form

### Field Summary

Fields
`protected static org.apache.commons.logging.Log` `log` logging instance

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`FontSubstitutions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `adjustFontInfo(FontInfo fontInfo)` Adjusts a given fontInfo using this font substitution catalog

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Field Detail

#### log

    protected static final org.apache.commons.logging.Log log

logging instance

### Constructor Detail

#### FontSubstitutions

    public FontSubstitutions()

### Method Detail

#### adjustFontInfo

    public void adjustFontInfo(FontInfo fontInfo)

Adjusts a given fontInfo using this font substitution catalog

Parameters:
  `fontInfo` - font info